SMBFS(4)

NAME
smbfs - server message block (SMB1/CIFS) file system

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

option NETSMB

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    smbfs_load="YES"

DESCRIPTION
The SMB driver is an implementation of the CIFS (Common Internet Filesystem) network protocol.

The smbfs filesystem driver supports only the obsolete SMBv1 protocol. smbfs has known bugs and likely has security vulnerabilities. smbfs and userspace counterparts smbutil(1) and mount_smbfs(8) may be removed from a future version of FreeBSD. Users are advised to evaluate the filesystems/smbnetfs port instead.

SEE ALSO
smbutil(1), mount_smbfs(8)

STANDARDS
https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-cifs/, Common Internet File System (CIFS) Protocol, MS-CIFS, December 2018.

https://tools.ietf.org/html/draft-heizer-cifs-v1-spec-00, Common Internet File System Protocol (CIFS/1.0), June 13, 1996, I. Heizer, P. Leach, D. Perry.

HISTORY
The smbfs device driver first appeared in FreeBSD 4.4.

AUTHORS
-nosplit The smbfs device driver was written by Boris Popov <bp@FreeBSD.org>. The manual page was contributed by Gordon Bergling <gbe@FreeBSD.org>.